Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6142 - intermittant failures in ifconfig
Summary: intermittant failures in ifconfig
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
: 7777 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-20 16:08 UTC by jlewis
Modified: 2015-03-05 01:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-01-17 10:25:51 UTC


Attachments (Terms of Use)

Description jlewis 1999-10-20 16:08:25 UTC
[root@gsvlfl-ns-1 html]# /sbin/ifconfig
: error fetching interface information: Device not found
[root@gsvlfl-ns-1 html]# /sbin/ifconfig
eth0      Link encap:Ethernet  HWaddr 00:90:27:4D:A5:C0
          inet addr:209.208.0.2  Bcast:209.208.0.127
Mask:255.255.255.128
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:28394921 errors:0 dropped:0 overruns:0
frame:0
          TX packets:27046925 errors:0 dropped:0 overruns:0
carrier:0
          collisions:181003 txqueuelen:100
          Interrupt:11 Base address:0x6400

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:3924  Metric:1
          RX packets:46189 errors:0 dropped:0 overruns:0
frame:0
          TX packets:46189 errors:0 dropped:0 overruns:0
carrier:0
          collisions:0 txqueuelen:0

This happens infrequently enough that I've not tried to look
into what's causing it.

Comment 1 Jeff Johnson 2000-01-14 15:56:59 UTC
*** Bug 7777 has been marked as a duplicate of this bug. ***

Comment 2 Jeff Johnson 2000-01-14 18:58:59 UTC
This smells like a failure while loading a module. Can you verify that
the ethernet module is not loaded using lsmod when ifconfig fails?

Comment 3 tom 2000-01-15 03:05:59 UTC
The module is definitely loaded as I log in over the network to check the
servers and incidentally generate the error.

Comment 4 Jeff Johnson 2000-01-15 17:18:59 UTC
The critical question is whether the module is loaded at the time ifconfig
fails. So, just to verify, are you saying that you've seen ifconfig fail
*while* you were logged in from the network? There may be other module loads
causing ifconfig to occaisionally fail, not just the NIC driver.

Comment 5 tom 2000-01-15 23:33:59 UTC
Yup, the network driver (eepro100) was definitely loaded when ifconfig fails, it
has to be loaded as I ssh in via eth0. The only other module loaded is the
aic7xxx.

Comment 6 Phil Knirsch 2002-01-17 10:25:46 UTC
Does this bug still exists with newer kernels/newer distribution?

If not i'll be closing this bug in 2 weeks as 'WORKSFORME' in the current release.

Read ya, Phil

Comment 7 Phil Knirsch 2002-02-14 12:43:31 UTC
Closing this bug due to inactivity.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.